BLAS/SRC/saxpy.f(3)

NAME
BLAS/SRC/saxpy.f

SYNOPSIS

  Functions/Subroutines
subroutine saxpy (n, sa, sx, incx, sy, incy)
SAXPY

Function/Subroutine Documentation

  subroutine saxpy (integer n, real sa, real, dimension(*) sx, integer incx, real, dimension(*) sy, integer incy)

SAXPY

Purpose:

        SAXPY constant times a vector plus a vector.
        uses unrolled loops for increments equal to one.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    SA

              SA is REAL
               On entry, SA specifies the scalar alpha.

    SX

              SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

    SY

              SY is REAL array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of SY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 88 of file saxpy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.